<template>
  <q-page>
    <q-table
      :data="tableData"
      :columns="columns"
      :selection="selection"
      :selected.sync="selected"
      row-key="name"
      color="secondary"
      title="Servers"
    >
      <template slot="top-selection" slot-scope="props">
        <q-btn color="secondary" flat label="Action 1" class="q-mr-sm" />
        <q-btn color="secondary" flat label="Action 2" />
        <div class="col" />
        <q-btn color="negative" flat round icon="delete" @click="deleteRow" />
      </template>
    </q-table>
  </q-page>
</template>

<style>
</style>

<script>
export default {
  name: 'servers',
  data () {
    return {
      selection: 'multiple',
      selected: [
        // initial selection
        { name: 'Lab Name1' }
      ],
      columns: [
        {
          label: 'Lab Names',
          name: 'desc',
          required: true,
          align: 'left',
          field: 'name',
          sortable: true
        },
        { name: 'servers', label: 'Servers', field: 'Servers', sortable: true },
        { name: 'UP', label: 'UP', field: 'UP', sortable: true },
        { name: 'DOWN', label: 'DOWN', field: 'DOWN', sortable: true }
      ],
      tableData: [
        {
          name: 'Lab Name1',
          Servers: 20,
          UP: 12,
          DOWN: 8
        },
        {
          name: 'Lab Name2',
          Servers: 20,
          UP: 12,
          DOWN: 8
        },
        {
          name: 'Lab Name3',
          Servers: 20,
          UP: 12,
          DOWN: 8
        },
        {
          name: 'Lab Name4',
          Servers: 20,
          UP: 12,
          DOWN: 8
        },
        {
          name: 'Lab Name4',
          Servers: 20,
          UP: 12,
          DOWN: 8
        },
        {
          name: 'Lab Name4',
          Servers: 20,
          UP: 12,
          DOWN: 8
        },
        {
          name: 'Lab Name4',
          Servers: 20,
          UP: 12,
          DOWN: 8
        }
      ]
    }
  },
  methods: {
    deleteRow () {
      this.$q.notify({
        color: 'secondary',
        icon: 'delete',
        message: `Will delete the selected row${this.selectedSecond.length > 1 ? 's' : ''} later, ok?`
      })
    }
  }
}
</script>
